import Vue from 'vue'
import Router from 'vue-router'
import Home from './views/Home.vue'
import Layout from './Layout.vue'
import Vuex from 'vuex'
// import store from './components/Store'

Vue.use(Vuex)
Vue.use(Router)
const router = new Router({
    routes: [
        {
            path: '/',
            component: Layout,
            children: [
                {
                    path: '/',
                    name: 'home',
                    component: Home,
                },
                {
                    path: '/cate',
                    name: 'Category',
                    component: () => import( /* webpackChunkName: "Category" */ './views/Category.vue')
                },
                {
                    path: '/cart',
                    name: 'Cart',
                    component: () => import( /* webpackChunkName: "Cart" */ './views/Cart.vue')
                },
                {
                    path: '/my',
                    name: 'UserIndex',
                    component: () => import( /* webpackChunkName: "UserIndex" */ './views/UserIndex.vue')
                }
            ]
        },
        {
            path: '/login',
            name: 'Login',
            component: () => import( /* webpackChunkName: "Login" */ './views/Login.vue')
        },
        {
            path: '/goods-list',
            name: 'GoodsList',
            component: () => import( /* webpackChunkName: "GoodsList" */ './views/GoodsList.vue')
        },
        {
            path: '/goods-detail',
            name: 'GoodsDetail',
            component: () => import( /* webpackChunkName: "GoodsDetail" */ './views/Detail.vue')
        }

    ]
});
router.beforeEach((to, from, next) => {
    // if(to.path != '/login'){
    //   if(store.state.user.userId < 1){
    //     next({path:'/login'});
    //     return;
    //   }
    // }
    next();
});

export default router;
